Index: trunk/var/www/info/alkis/alkislage.php
===================================================================
--- trunk/var/www/info/alkis/alkislage.php	(revision 61)
+++ trunk/var/www/info/alkis/alkislage.php	(revision 64)
@@ -9,4 +9,5 @@
 	01.10.2010  Flaeche umgruppiert
 	14.12.2010  Pfad zur Conf
+	17.12.2010  Astrid Emde: Prepared Statements (pg_query -> pg_prepare + pg_execute)
 */
 ini_set('error_reporting', 'E_ALL & ~ E_NOTICE');
@@ -115,5 +116,5 @@
 if (!$res) echo "\n<p class='err'>Fehler bei Lagebezeichnung\n<br>".$sql."</p>\n";
 
-if ($row = pg_fetch_array($res)) {	
+if ($row = pg_fetch_array($res)) {
 	$land =$row["land"];
 	$regbez=$row["regierungsbezirk"];
@@ -124,5 +125,5 @@
 	$snam =$row["snam"]; //Strassennamen
 	$unver=$row["unverschluesselt"]; // Gewanne
-	$kennz=$land."-".$regbez."-".$kreis."-".$gem."-".$lage."-";	
+	$kennz=$land."-".$regbez."-".$kreis."-".$gem."-".$lage."-";
 
 	switch ($ltyp) {
@@ -131,5 +132,5 @@
 			$hsnr=$row["hausnummer"];
 			$kennz.=$hsnr;
-			$untertitel="Hauptgeb&auml;ude mit Hausnummer";			
+			$untertitel="Hauptgeb&auml;ude mit Hausnummer";
 			// Balken
 			echo "<p class='lage'>ALKIS Lagebezeichnung mit Hausnummer ".$kennz."&nbsp;</p>\n"; // Balken
@@ -140,6 +141,6 @@
 			$lfd=$row["laufendenummer"];
 			$kennz.=$pseu."-".$lfd;
-			$untertitel="NebengebÃ€ude mit laufender Nummer (Lagebezeichnung mit Pseudonummer)";			
-			// Balken			
+			$untertitel="NebengebÃ€ude mit laufender Nummer (Lagebezeichnung mit Pseudonummer)";
+			// Balken
 		//	echo "<p class='lage'>ALKIS Lagebezeichnung mit Pseudonummer ".$kennz."&nbsp;</p>\n"; // Balken
 			echo "<p class='lage'>ALKIS Lagebezeichnung NebengebÃ€ude ".$kennz."&nbsp;</p>\n"; // Balken
@@ -150,8 +151,8 @@
 				$kennz=" - ".$unver;
 			} else {
-				$kennz.=$unver;				
-			}
-			$untertitel="Stra&szlig;e ohne Hausnummer und/oder Gewanne (unverschl&uuml;sselte Lage)";			
-			// Balken			
+				$kennz.=$unver;
+			}
+			$untertitel="Stra&szlig;e ohne Hausnummer und/oder Gewanne (unverschl&uuml;sselte Lage)";
+			// Balken
 			echo "<p class='lage'>ALKIS Lagebezeichnung Ohne Hausnummer ".$kennz."&nbsp;</p>\n"; // Balken
 		break;
@@ -182,5 +183,5 @@
 				case "p": // "mit PseudoNr"
 					echo "\n\t\t<td class='head'>Haus-Nr</td>";
-					echo "\n\t\t<td class='head'>lfd.-Nr</td>";	
+					echo "\n\t\t<td class='head'>lfd.-Nr</td>";
 				break;
 				case "o": //"Ohne HsNr"
@@ -196,5 +197,5 @@
 			if ($showkey) {
 				echo "<span class='key'>".$gem."</span><br>";
-			}			
+			}
 			echo $gnam."</td>";
 			echo "\n\t\t<td title='Stra&szlig;e'>";
@@ -221,5 +222,5 @@
 
 	// Kopf Rechts: weitere Daten?
-	// z.B. hier Ausgabe von "georeferenzierte GebÃ€udeadresse" ?	
+	// z.B. hier Ausgabe von "georeferenzierte GebÃ€udeadresse" ?
 	if ($idanzeige) {linkgml($gkz, $gmlid, "Lage"); }
 
@@ -315,9 +316,9 @@
 			$sql.=$whereclaus."AND lage= $6 AND pseudonummer= $7 ORDER BY laufendenummer;";
 		// pseudonummer character varying(5), laufendenummer character varying(2),
-			
+
 			$v = array($land,$regbez,$kreis,$gem,$lage,$lage,$hsnr);
 			$res = pg_prepare("", $sql);
 			$res = pg_execute("", $v);
-			
+
 			if (!$res) echo "\n<p class='err'>Fehler bei Nebengeb&auml;ude.<br>".$sql."</p>\n";
 			while($row = pg_fetch_array($res)) {
@@ -331,9 +332,9 @@
 			$sql ="SELECT l.gml_id FROM ax_lagebezeichnungmithausnummer l ";
 			$sql.=$whereclaus."AND hausnummer= $6;";
-			
+
 			$v = array($land,$regbez,$kreis,$gem,$lage,$pseu);
 			$res = pg_prepare("", $sql);
 			$res = pg_execute("", $v);
-			
+
 			if (!$res) echo "<p class='err'>Fehler bei Hauptgeb&auml;ude.<br>".$sql."</p>\n";
 			while($row = pg_fetch_array($res)) {
@@ -345,9 +346,9 @@
 			$sql ="SELECT l.gml_id, l.laufendenummer FROM ax_lagebezeichnungmitpseudonummer l ";
 			$sql.=$whereclaus."AND pseudonummer= $6 AND laufendenummer <> $7 ORDER BY laufendenummer;";
-			
+
 			$v = array($land,$regbez,$kreis,$gem,$lage,$pseu,$lfd);
 			$res = pg_prepare("", $sql);
 			$res = pg_execute("", $v);
-			
+
 			if (!$res) echo "\n<p class='err'>Fehler bei Nebengeb&auml;ude.<br>".$sql."</p>\n";
 			while($row = pg_fetch_array($res)) {
@@ -387,5 +388,5 @@
 	$sql.="WHERE v.beziehung_zu= $1 ";
 	$sql.="AND   v.beziehungsart= $2 ;";
-	
+
 	$v = array($gmlid,$bezart);
 	$res = pg_prepare("", $sql);
@@ -396,5 +397,5 @@
 	while($row = pg_fetch_array($res)) { // Only You!
 		echo "<p>";
-			if ($idanzeige) {linkgml($gkz, $row["gml_id"], "Geb&auml;ude");}		
+			if ($idanzeige) {linkgml($gkz, $row["gml_id"], "Geb&auml;ude");}
 		echo "</p>";
 		echo "\n<table>";
@@ -408,5 +409,5 @@
 			if (!$row["description"] == "") {
 				echo "\n\t<tr><td>Beschreibung:</td><td>".$row["description"]."</td></tr>"; // integer - EntschlÃŒsseln!
-			}			
+			}
 
 			if (!$row["name"] == "") {
@@ -424,9 +425,9 @@
 				}
 				echo $row["bauweise_beschreibung"]."</td></tr>"; // integer
-			}			
+			}
 
 			if (!$row["aog"] == "") {
 				echo "\n\t<tr><td>Anz. der oberird. Geschosse:</td><td>".$row["aog"]."</td></tr>"; //
-			}				
+			}
 
 			if (!$row["grundflaeche"] == "") {
@@ -436,5 +437,5 @@
 			echo "\n\t<tr><td>Geometrische Fl&auml;che:</td><td title='berechnete Fl&auml;che'>".$row["flaeche"]." m&#178;</td></tr>";
 
-			if (!$row["individualname"] == "") {			
+			if (!$row["individualname"] == "") {
 				echo "\n\t<tr><td>Individualname:</td><td>".$row["individualname"]."</td></tr>"; // char(7)
 			}
@@ -442,5 +443,5 @@
 			if (!$row["zustand"] == "") {
 				echo "\n\t<tr><td>Zustand:</td><td>".$row["zustand"]."</td></tr>"; // integer
-			}		
+			}
 
 		echo "\n</table>";
